'use strict';

define([
  'angular',
  'widgets/mapapp/biztopology/directives/biztopologywidget',
  'widgets/mapapp/biztopology/services/BizTopologyFactory',
  'angular-strap',
  'angular-strap.tpl',
  'angular-route',
  'toastr',
  'ol3js',
  'ng-table',
], function (angular, biztopologywidget, BizTopologyFactory) {
  var biztopology = angular.module('gc_biztopology', [
    'pascalprecht.translate',
  ]);

  //ajout directive
  biztopology.directive('biztopologywidget',biztopologywidget);

  // Services
  biztopology.factory('BizTopologyFactory', BizTopologyFactory);

  return biztopology;
});
